
ALTER PROCEDURE [dbo].[upd_gen_envioCorreo]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_envioCorreo varchar(300) = null,
		@p_envioCorreo_codigo varchar(100) = null,
		@p_estrategia int = null,
		@p_tabla varchar(200) = null,
		@p_id_reporte int = null,
		@p_correoAdicional varchar(1000) = null,
		@p_plantillaAdjunto varchar(200) = null,
		@p_id_subtipoDocumento int = null,
		@p_id_estadoTipoDocumento int = null,
		@p_cantidadMensajes int = null,
		@p_tiempo_por_mensajes int = null,
		@p_cantidadReintento int = null,
		@p_adjuntarArchivo int = null
AS
BEGIN
		UPDATE [gen_envioCorreo]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[envioCorreo] = isnull(@p_envioCorreo,[envioCorreo]),
			[envioCorreo_codigo] = isnull(@p_envioCorreo_codigo,[envioCorreo_codigo]),
			[estrategia] = isnull(@p_estrategia,[estrategia]),
			[tabla] = isnull(@p_tabla,[tabla]),
			[id_reporte] = isnull(@p_id_reporte,[id_reporte]),
			[correoAdicional] = isnull(@p_correoAdicional,[correoAdicional]),
			[plantillaAdjunto] = isnull(@p_plantillaAdjunto,[plantillaAdjunto]),
			[id_subtipoDocumento] = isnull(@p_id_subtipoDocumento,[id_subtipoDocumento]),
			[id_estadoTipoDocumento] = isnull(@p_id_estadoTipoDocumento,[id_estadoTipoDocumento]),
			[cantidadMensajes] = isnull(@p_cantidadMensajes,[cantidadMensajes]),
			[tiempo_por_mensajes] = isnull(@p_tiempo_por_mensajes,[tiempo_por_mensajes]),
			[cantidadReintento] = isnull(@p_cantidadReintento,[cantidadReintento]),
			[adjuntarArchivo] = isnull(@p_adjuntarArchivo,[adjuntarArchivo])
		WHERE (id = @p_id)
END


